Commit 0b931bcd authored by Josh Haberman's avatar Josh Haberman

Add another test (javanano), but run it in parallel.

parent 0f8c25d1
...@@ -47,6 +47,7 @@ RUN apt-get update && apt-get install -y \ ...@@ -47,6 +47,7 @@ RUN apt-get update && apt-get install -y \
libgtest-dev \ libgtest-dev \
libtool \ libtool \
make \ make \
parallel \
strace \ strace \
python-dev \ python-dev \
python-setuptools \ python-setuptools \
......
...@@ -7,6 +7,7 @@ BUILD_DIR=/tmp/protobuf ...@@ -7,6 +7,7 @@ BUILD_DIR=/tmp/protobuf
# Set value used in tests.sh. # Set value used in tests.sh.
PARALLELISM=-j8 PARALLELISM=-j8
set -e # exit immediately on error
set -x # display all commands set -x # display all commands
rm -rf $BUILD_DIR rm -rf $BUILD_DIR
...@@ -15,9 +16,15 @@ cd $BUILD_DIR ...@@ -15,9 +16,15 @@ cd $BUILD_DIR
git clone /var/local/jenkins/protobuf git clone /var/local/jenkins/protobuf
cd protobuf cd protobuf
# If protoc fails to build, we can't test anything else. OUTPUT_DIR=`mktemp -d`
$TEST_SCRIPT cpp || exit 1 mkdir -p $OUTPUT_DIR/1
# Other tests can fail and we keep on going. # cpp build needs to run first, non-parallelized, so that protoc is available
#$TEST_SCRIPT java_jdk6 # for other builds.
$TEST_SCRIPT java_jdk7 $TEST_SCRIPT cpp | tee $OUTPUT_DIR/1/cpp
# Other tests are run in parallel. The overall run fails if any one of them
# fails.
# java_jdk6
parallel $TEST_SCRIPT ::: java_jdk7 javanano_jdk7
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment